package com.liquidnet.commons.lang.util;

import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;

public class IdentityUtils {
    private static String aliThirdUrl = "https://1.api.apistore.cn/idcard3";
    private static String aliThirdAppCode = "cc29fa8cb494468289dec09df46922b5";

    public static String aliThird(String realName,String cardNo){
        MultiValueMap<String, String> params = new LinkedMultiValueMap<>();
        params.add("realName",realName);
        params.add("cardNo",cardNo);
        MultiValueMap<String, String> header = new LinkedMultiValueMap<>();
        header.add("Authorization","APPCODE "+aliThirdAppCode);
        return HttpUtil.post(aliThirdUrl,params,header);
    }
}
